%define upstream_name SWISH-API-Object
%define upstream_version 0.13

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 5

Summary:	Return SWISH::API results as objects
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/SWISH/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(Data::Dump)

BuildArch:	noarch

%description
Return SWISH::API results as objects.

%prep
%autosetup -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.130.0-5.mga8
+ Revision: 1497240
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.130.0-4.mga7
+ Revision: 1271328
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.130.0-3.mga6
+ Revision: 1033579
- Rebuild for perl 5.22.2

* Tue Feb 09 2016 umeabot <umeabot> 0.130.0-2.mga6
+ Revision: 951150
- Mageia 6 Mass Rebuild

* Tue Dec 09 2014 sander85 <sander85> 0.130.0-1.mga5
+ Revision: 802452
- imported package perl-SWISH-API-Object

